Subject: [Bier] comments on draft-xu-bier-encapsulation-03

From: Antoni Przygienda <[email-masked]>
Date: Sat, 31 Oct 2015 11:49:25 +0000

Re-read and rethought. The key lookup will be pretty wide but if one can afford the TCAMs and would want to build something like this I guess it's feasible.

Architecturally the information carried in this encapsulation is more than necessary (which is NOT good). The architecture clearly indicates that a sub-domain MUST match onto one MT-ID and with that carrying both is superfluous, carrying subdomain is good enough. This also resolves the issue of e.g. driving this encapsulation with idr-extensions which doesn't even carry a multi-topology concept.

As well, why does the encaps carry BFR-id ? is that source/destination/originator ? None of those seem necessary to me ?

I think the suggestion towards the authors has been already extended to read the excellent  dataplane  design draft put out by the according design team recently. I support that. Occam's razor in data plane goes a long way ;-)

thanks

--- tony

"Your work is to discover your work and then with all your heart to give yourself to it." --- Buddha